Public Member Functions | Public Attributes

# geos::geomgraph::EdgeIntersection Class Reference

`#include <EdgeIntersection.h>`

List of all members.

## Public Member Functions
| EdgeIntersection (const geom::Coordinate &newCoord, int newSegmentIndex, double newDist)
int | compare (int newSegmentIndex, double newDist) const
bool | isEndPoint (int maxSegmentIndex)
std::string | print () const
int | compareTo (const EdgeIntersection *) const
const geom::Coordinate & | getCoordinate () const
int | getSegmentIndex () const
double | getDistance ()
## Public Attributes
geom::Coordinate | coord
int | segmentIndex
double | dist

## Detailed Description

Represents a point on an edge which intersects with another edge.

The intersection may either be a single point, or a line segment (in which case this point is the start of the line segment) The intersection point must be precise.

## Member Function Documentation

int geos::geomgraph::EdgeIntersection::compare | ( | int | newSegmentIndex,
|  | double | newDist
| ) |  | const

Returns:
  -1 this EdgeIntersection is located before the argument location
  0 this EdgeIntersection is at the argument location
  1 this EdgeIntersection is located after the argument location

The documentation for this class was generated from the following file:

- EdgeIntersection.h